summaryrefslogtreecommitdiffstats
path: root/academic/wxmacmolplt
diff options
context:
space:
mode:
author Daniil Bratashov <dn2010@gmail.com>2010-05-12 23:27:42 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 23:27:42 +0200
commitaf76142369c11ec77a5f7163f2e4bec47eb5b973 (patch)
tree58fabb26104a68fbc18f8a7e90ae7007a0d884f7 /academic/wxmacmolplt
parent5c40fc4e4f84ea1a71cc3a935e8674721de06248 (diff)
downloadslackbuilds-af76142369c11ec77a5f7163f2e4bec47eb5b973.tar.gz
slackbuilds-af76142369c11ec77a5f7163f2e4bec47eb5b973.tar.xz
academic/wxmacmolplt: Added to 12.2 repository
Diffstat (limited to 'academic/wxmacmolplt')
-rw-r--r--academic/wxmacmolplt/README8
-rw-r--r--academic/wxmacmolplt/doinsh.sh14
-rw-r--r--academic/wxmacmolplt/slack-desc19
-rw-r--r--academic/wxmacmolplt/wxmacmolplt-7.2.1-raman.patch33
-rw-r--r--academic/wxmacmolplt/wxmacmolplt.SlackBuild93
-rw-r--r--academic/wxmacmolplt/wxmacmolplt.info8
6 files changed, 175 insertions, 0 deletions
diff --git a/academic/wxmacmolplt/README b/academic/wxmacmolplt/README
new file mode 100644
index 0000000000..9f96e6c41c
--- /dev/null
+++ b/academic/wxmacmolplt/README
@@ -0,0 +1,8 @@
+The MacMolPlt molecular visualization program
+
+MacMolPlt is designed to display the input and output of
+the GAMESS(US) and PCGAMESS quantum chemistry packages.
+It produces animations and/or publication quality output
+from a variety of input file formats.
+
+wxMacMolPlt requres wxGTK built with OpenGL support.
diff --git a/academic/wxmacmolplt/doinsh.sh b/academic/wxmacmolplt/doinsh.sh
new file mode 100644
index 0000000000..9830478e8c
--- /dev/null
+++ b/academic/wxmacmolplt/doinsh.sh
@@ -0,0 +1,14 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/academic/wxmacmolplt/slack-desc b/academic/wxmacmolplt/slack-desc
new file mode 100644
index 0000000000..91a0a32b06
--- /dev/null
+++ b/academic/wxmacmolplt/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+wxmacmolplt: MacMolPlt (molecular visualization program)
+wxmacmolplt:
+wxmacmolplt: MacMolPlt is designed to display the input and output of
+wxmacmolplt: the GAMESS quantum chemistry package. It produces animations
+wxmacmolplt: and/or publication quality output from a variety of input file
+wxmacmolplt: formats.
+wxmacmolplt:
+wxmacmolplt:
+wxmacmolplt:
+wxmacmolplt:
+wxmacmolplt:
diff --git a/academic/wxmacmolplt/wxmacmolplt-7.2.1-raman.patch b/academic/wxmacmolplt/wxmacmolplt-7.2.1-raman.patch
new file mode 100644
index 0000000000..6845b0bdaa
--- /dev/null
+++ b/academic/wxmacmolplt/wxmacmolplt-7.2.1-raman.patch
@@ -0,0 +1,33 @@
+diff -Nru wxmacmolplt-7.2.1.orig/src/Frame.cpp wxmacmolplt-7.2.1/src/Frame.cpp
+--- wxmacmolplt-7.2.1.orig/src/Frame.cpp 2008-04-10 01:04:51.000000000 +0400
++++ wxmacmolplt-7.2.1/src/Frame.cpp 2009-03-09 10:59:11.000000000 +0300
+@@ -1896,6 +1896,29 @@
+ } else tVib = icol;
+ }
+ }
++ if (Buffer->LocateKeyWord("RAMAN ACTIVITY:", 15, Buffer->GetFilePos()+132)) {
++ Buffer->GetLine(LineText);
++ LinePos = 16;
++ if ((imode == NumVibs)&&(lVibs->RamanIntensity.empty())) {
++ lVibs->RamanIntensity.reserve(NumModes);
++ }
++ LineLength = strlen(LineText);
++ long tVib = NumVibs;
++ float raman;
++ for (long icol=0; icol<tVib; icol++) {
++ if (LinePos<LineLength) {
++ test = sscanf(&(LineText[LinePos]), "%s%n", &token, &nchar);
++ LinePos += nchar;
++ if (test) {
++ if (token[0] != '*') {
++ test = sscanf(token, "%f", &raman);
++ if (test)
++ lVibs->RamanIntensity.push_back(raman);
++ } else lVibs->RamanIntensity.push_back(10000.0);
++ } else tVib = icol;
++ } else tVib = icol;
++ }
++ }
+ if (Buffer->LocateKeyWord("DEPOLARIZATION:", 15, Buffer->GetFilePos()+132)) {
+ Buffer->GetLine(LineText);
+ LinePos = 16;
diff --git a/academic/wxmacmolplt/wxmacmolplt.SlackBuild b/academic/wxmacmolplt/wxmacmolplt.SlackBuild
new file mode 100644
index 0000000000..d1791a0ccb
--- /dev/null
+++ b/academic/wxmacmolplt/wxmacmolplt.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/sh
+
+# Slackware build script for wxmacmolplt
+
+# Written by Daniil Bratashov <dn2010@gmail.com>
+
+PRGNAM=wxmacmolplt
+VERSION=${VERSION:-7.3}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+
+# Fix for PCGAMESS new raman activities format
+patch -p1 -E < $CWD/wxmacmolplt-7.2.1-raman.patch
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --without-ming \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+#libming support is broken in current version
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/share/icons/hicolor/128x128/apps
+cp resources/wxmacmolplt.png $PKG/usr/share/icons/hicolor/128x128/apps
+mkdir -p $PKG/usr/share/applications
+cp resources/wxmacmolplt.desktop $PKG/usr/share/applications
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS LICENSE NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+mv $PKG/usr/share/$PRGNAM/MacMolPlt_Manual.html $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/$PRGNAM/Manual_pages $PKG/usr/doc/$PRGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/academic/wxmacmolplt/wxmacmolplt.info b/academic/wxmacmolplt/wxmacmolplt.info
new file mode 100644
index 0000000000..bc6e1b8a11
--- /dev/null
+++ b/academic/wxmacmolplt/wxmacmolplt.info
@@ -0,0 +1,8 @@
+PRGNAM="wxmacmolplt"
+VERSION="7.3"
+HOMEPAGE="http://www.scl.ameslab.gov/MacMolPlt/"
+DOWNLOAD="http://www.scl.ameslab.gov/MacMolPlt/download/wxmacmolplt-7.3.tar.gz"
+MD5SUM="867071582b2eaff49efdf0bfa2094252"
+MAINTAINER="Daniil Bratashov"
+EMAIL="dn2010@gmail.com"
+APPROVED="rworkman"